# Method: accounts.productReviews.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#body.ListProductReviewsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews/list#try-it)

Lists product reviews.

### HTTP request

`GET https://merchantapi.googleapis.com/reviews/v1alpha/{parent=accounts/*}/productReviews`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to list product reviews for. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of products to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `productReviews.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `productReviews.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

response message for the productReviews.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "productReviews": [ { object (`https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews#ProductReview`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `productReviews[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/reviews_v1alpha/accounts.productReviews#ProductReview`)`` The product review. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).